PATCH https://api.zatomic.ai/v1/context/sources/{contextSourceId}
// Example
PATCH https://api.zatomic.ai/v1/context/sources/cts_2qRzu8geIvfudcJTwP0pur4TbMJ
API Reference
- Overview
- Versioning
- Authentication
- Workspaces
- Status Codes and Errors
- Credit Usage
- Expanding Objects
- OpenAPI Spec
- Context Sources
- The Context Source Object
- Create File Context Source
- Create Text Context Source
- Update Context Source
- Delete Context Source
- Retrieve Context Source
- Retrieve All Context Sources
- Context Source Versions
- The Context Source Version Object
- Create File Context Source Version
- Create Text Context Source Version
- Update File Context Source Version
- Update Text Context Source Version
- Delete Context Source Version
- Retrieve Context Source Version
- Retrieve All Context Source Versions
- Context Packs
- The Context Pack Object
- Create Context Pack
- Update Context Pack
- Delete Context Pack
- Retrieve Context Pack
- Retrieve All Context Packs
- Context Pack Versions
- The Context Pack Version Object
- Create Context Pack Version
- Update Context Pack Version
- Delete Context Pack Version
- Retrieve Context Pack Version
- Retrieve All Context Pack Versions
- Projects
- The Project Object
- Create Project
- Update Project
- Delete Project
- Retrieve Project
- Retrieve All Projects
- Prompts
- The Prompt Object
- Create Prompt
- Update Prompt
- Delete Prompt
- Retrieve Prompt
- Retrieve All Prompts
- Generate Prompt
- Prompt Versions
- The Prompt Version Object
- Create Prompt Version
- Update Prompt Version
- Delete Prompt Version
- Retrieve Prompt Version
- Retrieve All Prompt Versions
- Calculate Prompt Version Score
- Retrieve Prompt Version Score
- Generate Prompt Version Heatmap
- Retrieve Prompt Version Heatmap
- Analyze Prompt Version Balance
- Retrieve Prompt Version Balance
- Analyze Prompt Version Risk
- Retrieve Prompt Version Risk
- Improve Prompt Version
- Scoring Criteria
- The Scoring Criteria Object
- The Scoring Criterion Object
- Create Scoring Criteria
- Update Scoring Criteria
- Delete Scoring Criteria
- Retrieve Scoring Criteria
- Retrieve All Scoring Criteria
- Generate Scoring Criteria
- Create Scoring Criterion
- Update Scoring Criterion
- Delete Scoring Criterion
- Retrieve Scoring Criterion
- Scoring Criteria Results
- The Scoring Criteria Results Object
- Scoring
- The Scoring Object
- Calculate Prompt Score
- Heatmaps
- The Heatmap Object
- Generate Prompt Heatmap
- Balance
- The Balance Object
- Analyze Prompt Balance
- Risk
- The Risk Object
- Analyze Prompt Risk
Update Context Source
This endpoint allows you to update either the name of the context source, its description, or both. If you need to update file or text contents, that can be done by updating a file context source version or by updating a text context source version.
You can also use this endpoint to add a context source to a project or remove a context source from a project.
Endpoint Request
| Request Properties | |
|---|---|
|
name
string, optional
|
Name of the context source. |
|
description
string, optional
|
Description of the context source. |
|
project_id
string, optional
|
The ID of the project that contains the context source. Set to empty string ("") to remove the context source from its current project. |
{
"name": "Context source name",
"description": "Context source description.",
"project_id": "prj_32hbc9w4iVeyUZ1iRvjZYUrvS73"
}
Endpoint Response
A successful call returns a response that contains the updated context source object.
| HTTP Status Codes | ||
|---|---|---|
| 200 | OK | The context source was updated. |
| 404 | Not Found | The context source didn't exist. |
| 500 | Internal Server Error | Something went wrong on Zatomic's end. |